Package wx :: Package lib :: Package mixins :: Module listctrl :: Class ListCtrlSelectionManagerMix

[frames | no frames]

## Class ListCtrlSelectionManagerMix

Mixin that defines a platform independent selection policy

As selection single and multi-select list return the item index or a list of item indexes respectively.

Method Summary
| `__init__(self)`
| ``afterPopupMenu`(self, menu)` Override to implement dynamic menus (destroy)
| ``getPopupMenu`(self)` Override to implement dynamic menus (create)
| `getSelection(self)`
| `OnLCSMDoPopup(self, event)`
| `OnLCSMRightDown(self, event)`
| ``setPopupMenu`(self, menu)` Must be set for default behaviour

Method Details

### afterPopupMenu(self, menu)

Override to implement dynamic menus (destroy)

### getPopupMenu(self)

Override to implement dynamic menus (create)

### setPopupMenu(self, menu)

Must be set for default behaviour

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:43 2007 | http://epydoc.sf.net